Ndless r2019 for TI-Nspire OS <= v5.3.0.564
===========================================

Installing Ndless on your calculator makes it possible to run assembly programs.

Ndless combines an executable loader and utilities to open the TI-Nspire to third-party C and assembly development.

The official website is available on:

->    http://ndless.me

The source code can be found on:

->    https://github.com/ndless-nspire/Ndless 

A user guide is available online, make sure to read for more installation instructions:

->    https://tiplanet.org/ndless

A guide for Developers can be found here:

->    https://ndlessly.wordpress.com/ndless-for-developers/

Pull requests and and issues are welcome!

For more in-depth info, visit the wiki:

->    https://hackspire.org

Quick guide
===========

OS 5.2.0.771 + 5.3.0.564 <img src="https://i.imgur.com/kozAxpP.png" align="right">
--------

Prerequisites: OS 5.2.0.771 or 5.3.0.564 on CX II, CX II-T or CX II CAS

* Transfer `ndless_installer_5.2.0-5.3.0.tns` into a folder named "`ndless`" (top-level)
* Transfer `ndless_resources.tns` into the same folder
* Open the installer and wait
* Have fun!

OS 4.5.3.14 + 4.5.4.48 <img src="https://i.imgur.com/uuO3ue9.png" align="right">
--------

Prerequisites: OS 4.5.3.14 or 4.5.4.48 on CX or CX CAS

* Transfer `ndless_installer_4.5.3-4.5.4.tns` into a folder named "`ndless`" (top-level)
* Transfer `ndless_resources.tns` into the same folder
* Open the installer and wait
* Have fun!

OS 4.5.0 <img src="https://i.imgur.com/ZdWgSCq.png" align="right">
--------

Prerequisites: OS 4.5.0 on CX or CX CAS

* Transfer `ndless_installer_4.5.0.tns` into a folder named "`ndless`" (top-level)
* Transfer `ndless_resources.tns` into the same folder
* Open the installer and wait
* Have fun!

OS 4.4.0 <img src="http://i.imgur.com/mDOg6JG.png" align="right">
--------

Prerequisites: OS 4.4.0 on CX or CX CAS

* Transfer `ndless_installer_4.4.0.tns` into a folder named "`ndless`" (top-level)
* Transfer `ndless_resources.tns` into the same folder
* Open the installer
* Close the installer with Ctrl+W
* Have fun!

OS 4.2.0 <img src="http://i.imgur.com/GS2K9tS.png" align="right">
--------

Prerequisites: OS 4.2.0 on CX or CX CAS

* Transfer `ndless_installer_4.2.0_cx.tns` or `ndless_installer_4.2.0_cascx.tns` into a folder named "`ndless`" (top-level)
* Transfer `ndless_resources.tns` into the same folder
* Open the installer
* Close the installer with Ctrl+W
* Have fun!

OS 4.0.3 <img src="https://i.imgur.com/oEsrtC2.png" align="right">
--------

Prerequisites: OS 4.0.3 on CX or CX CAS

* Transfer `ndless_installer_4.0.3_cx.tns` or `ndless_installer_4.0.3_cascx.tns` into a folder named "`ndless`" (top-level)
* Transfer `ndless_resources.tns` into the same folder
* Open the installer
* Close the installer with Ctrl+W
* Have fun!

OS 3.9.1 <img src="https://i.imgur.com/rT8Ltmy.png" align="right">
--------

Prerequisites: OS 3.9.1 on CX and CX CAS

* Transfer the `ndless_installer_3.9.1.tns` file into a folder named "`ndless`" (top-level)
* Transfer `ndless_resources.tns` into the same folder
* Disconnect your USB cable
* Open the installer
* If you get a message that says "Insufficient memory", reset your calculator and try again!
* Connect the handheld to your computer!
* Close the installer with Ctrl+W
* Have fun!


OS 3.9.0 <img src="https://i.imgur.com/V9U8RSc.png" align="right">
--------

Prerequisites: OS 3.9.0 on Clickpad (CAS/non-CAS) or Touchpad (CAS/non-CAS)

For CX and CX CAS please install 3.9.1.

* Transfer `ndless_installer_3.9.0_classic_new.tns` into a folder named "`ndless`" (top-level)
* Transfer `ndless_resources.tns` into the same folder
* Open the installer
* Close the installer with Ctrl+W
* Have fun!

OS 3.6 <img src="http://www.mirari.fr/NwM1" align="right">
------

Prerequisites: OS 3.6

* Transfer `ndless_installer.tns` and `ndless_resources.tns` into a folder named "`ndless`" (top-level)
* Open the installer
* Press the menu button
* Have fun!

Uninstalling
------

To uninstall Ndless, simply run the `ndless_resources.tns` file and select "Yes", after which the device will reboot.

Development team
================

Lead maintainer:
  Fabian Vogt aka Vogtinator - < vogtinator at ritter dash vogt dot de >

Creators:
  Geoffrey Anneheim aka geogeo - < geoffrey dot anneheim at free dot fr >
  Olivier Armand aka ExtendeD  - < olivier dot calc at gmail dot com >

Contributors and testers: Adriweb, bsl, critor, Excale, Goplat, hoffa, Jim Bauwens, Legimet, Levak, Lionel Debroux, lkj, tangrs... and many others.  
More contributions can be seen on [the GitHub repo](https://github.com/ndless-nspire/Ndless/graphs/contributors).

Ndless is brought to you by https://codewalr.us, https://www.omnimaga.org and https://tiplanet.org

We will gladly accept PayPal donations for the hardware expenses that were required for the development of Ndless. You can use the e-mail addresses above or the following URL:  
Thank you for your support! [![Donate via PayPal](https://www.paypal.com/en_US/i/btn/btn_donate_LG.gif)](https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=olivier%2ecalc%40gmail%2ecom&lc=US&item_name=Ndless&currency_code=USD&bn=PP%2dDonationsBF%3abtn_donate_LG%2egif%3aNonHosted)

Legal stuff
===========

Most of the work is covered by the Mozilla Public License, version 1.1 (MPL). 
Please read the file [`Mozilla-Public-License-v1.1.html`](./Mozilla-Public-License-v1.1.html) carefully before distributing any part of Ndless, with or without modification.

Some parts are covered by other licenses. Others are in the public domain. These parts are identified by the files `LICENSE.txt` or `LICENSE.html` in the sub-directory.
